Subject: bug#37847: [PATCH] Improve client/daemon xdg/systemd experience

From: Peter Oliver <[email-masked]>
Date: Fri, 28 May 2021 18:21:55 +0100 (BST)

In the systemd service, I believe that Carlos was setting $0 to emacsd for the following effect:

$ xprop -name emacsd@$HOST | grep WM_CLASS
WM_CLASS(STRING) = "emacsd", "Emacsd"

This is because desktops use the StartupWMClass in the .desktop file to match which windows are associated with which .desktop file, and we want a daemonised Emacs to be matched to emacsclient.desktop rather than emacs.desktop.

Consequently, now that this section of the patch has been reverted, the following line remaining in emacsclient.desktop makes no sense:

StartupWMClass=Emacsd

Perhaps we can find a different way of setting the WM_CLASS X11 property?

Alternatively, if we merge the two .desktop files, this issue goes away.  There is currently some discussion of doing this for other reasons on emacs-devel.

I’ve unarchived bug 37847 in order to add this comment, and hope that that isn’t a breach of etiquette.  I’ll happily raise a new bug if that’s preferred.

-- 
Peter Oliver